RoleDAO (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.server.session.RoleDAO class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.server.session
Class RoleDAO

    java.lang.Object
      org.hyperic.hq.dao.HibernateDAO
          org.hyperic.hq.authz.server.session.RoleDAO

    public class RoleDAO

extends HibernateDAO

Field Summary

Fields inherited from class org.hyperic.hq.dao.HibernateDAO
`BATCH_SIZE`

Constructor Summary
`RoleDAO(DAOFactory f)`

Method Summary
`java.util.Collection` | `findAll_orderName(boolean asc)`
`java.util.Collection` | `findAvailableForGroup(boolean system, java.lang.Integer groupId)`
`Role` | `findAvailableRoleForSubject(java.lang.Integer roleId, java.lang.Integer subjectid)`
`Role` | `findById(java.lang.Integer id)`
`Role` | `findByName(java.lang.String name)`
`java.util.Collection` | `findBySystem_orderName(boolean system, boolean asc)`
`java.util.Collection` | `findBySystemAndAvailableForSubject_orderName(boolean system, java.lang.Integer sid, boolean asc)`
`java.util.Collection` | `findBySystemAndSubject_orderMember(boolean system, java.lang.Integer sid, boolean asc)`
`java.util.Collection` | `findBySystemAndSubject_orderName(boolean system, java.lang.Integer sid, boolean asc)`
`Role` | `get(java.lang.Integer id)`

Methods inherited from class org.hyperic.hq.dao.HibernateDAO
`cacheFindAll, createCriteria, createQuery, findAll, findAllOrderByName, findById, findById, flushSession, get, getFactory, getPagedResult, getPagedResult, getPermissionManager, getPersistentClass, getSession, remove, save, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoleDAO

    public RoleDAO(DAOFactory f)

Method Detail

### get

    public Role get(java.lang.Integer id)

### findById

    public Role findById(java.lang.Integer id)

### findByName

    public Role findByName(java.lang.String name)

### findAll_orderName

    public java.util.Collection findAll_orderName(boolean asc)

### findBySystem_orderName

    public java.util.Collection findBySystem_orderName(boolean system,
                                                       boolean asc)

### findBySystemAndSubject_orderName

    public java.util.Collection findBySystemAndSubject_orderName(boolean system,
                                                                 java.lang.Integer sid,
                                                                 boolean asc)

### findBySystemAndSubject_orderMember

    public java.util.Collection findBySystemAndSubject_orderMember(boolean system,
                                                                   java.lang.Integer sid,
                                                                   boolean asc)

### findBySystemAndAvailableForSubject_orderName

    public java.util.Collection findBySystemAndAvailableForSubject_orderName(boolean system,
                                                                             java.lang.Integer sid,
                                                                             boolean asc)

### findAvailableRoleForSubject

    public Role findAvailableRoleForSubject(java.lang.Integer roleId,
                                            java.lang.Integer subjectid)

### findAvailableForGroup

    public java.util.Collection findAvailableForGroup(boolean system,
                                                      java.lang.Integer groupId)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.